Get api v1 referral connections referral connection uuid Run in API Explorer
Ask AI
GET
/api/v1/referral-connections/{referralConnection_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/referral-connections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "fd805fbe-df31-4231-908b-871e56ec1146",
"direction": "sent",
"status": "pending",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "67600761-3acd-4c57-98ba-ce955362dee9",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "7323afc4-b141-4161-9397-8091e6384d6b",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"expires_at": "2026-12-20T16:36:29+00:00"
}